import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class MonkeyEcxDiscoveryParamsService {
    private router;
    constructor(router: Router);
    private getLastChild;
    setData(field: string, value: any): any;
    getData(field: string): any;
    getDataFromCurrentNavigation(field: string, router?: Router): any;
    getParam(param: string): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxDiscoveryParamsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxDiscoveryParamsService>;
}
